config/routes.rb
Rails.application.routes.draw do
  devise_for :users

  # Main page (list of all companies)
  root 'companies#index'

  # Companies
  resources :companies
  put '/companies/:id/:action', to: 'companies#upvote', as: 'companies_upvote'
  put '/companies/:id/:action', to: 'companies#downvote', as: 'companies_downvote'

  # Employees (users)
  put '/users/:id/:action', to: 'users#upvote', as: 'users_upvote'
  put '/users/:id/:action', to: 'users#downvote', as: 'users_downvote'

  # Favorites
  get '/favorites', to: 'favorites#index', as: :favorites

end

app/views/partials/_footer.slim
footer class="footer-1 bg-dark #{if params[:controller] == 'favorites' then 'navbar-fixed-bottom'}"
  div.container
    div.row
      div.col-md-3.col-sm-6
        img.logo alt="Logo" src="/logo.png"
    div.row
      div.col-sm-6
        span.sub
          | 2016 - Ars-Vision: Test Task
  a.btn.btn-sm.fade-half.back-to-top.inner-link href="#top" Top

nav.navbar-fixed-bottom#footer
  = image_tag '/beta.png', class: 'beta'

app/views/partials/_header.slim
/ Top menu
div.nav-container style="min-height: 100px;"
  a#top
  nav
    div.nav-bar
      div.module.left
        = link_to root_path do
          img.logo-dark src="/logo.png" style="max-height: 30px; -webkit-filter:brightness(1.4) grayscale(0.9);"
      div.module.widget-handle.mobile-toggle.right.visible-sm.visible-xs
        i.ti-menu
      div.module-group.right
        div.module.left
          ul.menu
            - unless current_user
              li
                = link_to 'Login', new_user_session_path
            - else
              li
                = link_to 'New company', new_company_path
              li
                = link_to 'Favorites', favorites_path
              li
                = link_to "Exit", destroy_user_session_path
              span
                = "Hello, " + current_user.first_name + " " + current_user.last_name.capitalize + "!"